html {
  width: 100%;
  height: 100%;
  -webkit-text-size-adjust: 100%;
  font-family: 'Microsoft YaHei';
}
#root.white {
  background-color: #fff;
}
#root.white {
  background-color: #fff;
}
#root.gray {
  background-color: #f5f5f5;
}
.mtnone {
  margin-top: 0 !important;
}
.mbnone {
  margin-bottom: 0 !important;
}
.mlnone {
  margin-left: 0 !important;
}
.mrnone {
  margin-right: 0 !important;
}
.ptnone {
  padding-top: 0 !important;
}
.pbnone {
  padding-bottom: 0 !important;
}
.plnone {
  padding-left: 0 !important;
}
.prnone {
  padding-right: 0 !important;
}
.mt1 {
  margin-top: 0.5rem;
}
.mt2 {
  margin-top: 1rem;
}
.mt3 {
  margin-top: 1.5rem;
}
.mt4 {
  margin-top: 2rem;
}
.mt5 {
  margin-top: 2.5rem;
}
.mb1 {
  margin-bottom: 0.5rem;
}
.mb2 {
  margin-bottom: 1rem;
}
.mb3 {
  margin-bottom: 1.5rem;
}
.mb4 {
  margin-bottom: 2rem;
}
.mb5 {
  margin-bottom: 2.5rem;
}
.ml1 {
  margin-left: 0.5rem;
}
.ml2 {
  margin-left: 1rem;
}
.ml3 {
  margin-left: 1.5rem;
}
.ml4 {
  margin-left: 2rem;
}
.ml5 {
  margin-left: 2.5rem;
}
.mr1 {
  margin-right: 0.5rem;
}
.mr2 {
  margin-right: 1rem;
}
.mr3 {
  margin-right: 1.5rem;
}
.mr4 {
  margin-right: 2rem;
}
.mr5 {
  margin-right: 2.5rem;
}
.pt1 {
  padding-top: 0.5rem;
}
.pt2 {
  padding-top: 1rem;
}
.pt3 {
  padding-top: 1.5rem;
}
.pt4 {
  padding-top: 2rem;
}
.pt5 {
  padding-top: 2.5rem;
}
.pb1 {
  padding-bottom: 0.5rem;
}
.pb2 {
  padding-bottom: 1rem;
}
.pb3 {
  padding-bottom: 1.5rem;
}
.pb4 {
  padding-bottom: 2rem;
}
.pb5 {
  padding-bottom: 2.5rem;
}
.pl1 {
  padding-left: 0.5rem;
}
.pl2 {
  padding-left: 1rem;
}
.pl3 {
  padding-left: 1.5rem;
}
.pl4 {
  padding-left: 2rem;
}
.pl5 {
  padding-left: 2.5rem;
}
.pr1 {
  padding-right: 0.5rem;
}
.pr2 {
  padding-right: 1rem;
}
.pr3 {
  padding-right: 1.5rem;
}
.pr4 {
  padding-right: 2rem;
}
.pr5 {
  padding-right: 2.5rem;
}
.pl05 {
  padding-left: 0.5rem;
}
.pr05 {
  padding-right: 0.5rem;
}
.bb {
  border-bottom: 1px solid #d9dde1;
}
.bl {
  border-left: 1px solid #d9dde1;
}
.br {
  border-right: 1px solid #d9dde1;
}
.bt {
  border-top: 1px solid #d9dde1;
}
.bn {
  border: none;
}
.color_red {
  color: #f01414 !important;
}
.h90p {
  height: 90% !important;
}
.l {
  float: left;
}
.r {
  float: right;
}
.clearfix:after {
  content: ".";
  display: block;
  clear: both;
  height: 0;
  visibility: hidden;
}
.brr2 {
  border-radius: 0.0.5rem;
}
.brr4 {
  border-radius: 50%;
}
.fs0 {
  font-size: 0.4rem;
}
.fs1 {
  font-size: 0.5rem;
}
.fs2 {
  font-size: 0.6rem;
}
.fs3 {
  font-size: 0.7rem;
}
.fs4 {
  font-size: 0.8rem;
}
.fs5 {
  font-size: 0.9rem;
}
.fs6 {
  font-size: 1rem;
}
.fs7 {
  font-size: 1.1rem;
}
h1,
h2,
h3,
p,
img,
a,
ul,
button {
  margin: 0;
  padding: 0;
}
ul {
  list-style: none;
}
button {
  border: none;
}
a {
  text-decoration: none;
}
body {
  background: #F8FaFc;
}
header {
  width: 100%;
  position: fixed;
  top: 0;
  padding: 0.5rem;
  background: #07111b;
  z-index: 6;
  box-sizing: border-box;
}
header .init-header {
  width: 100%;
}
header .init-header .home-logo {
  display: block;
  height: 1.8rem;
}
header .init-header .home-logo img {
  height: 1.65rem;
}
header .init-header .right-box {
  height: 1.8rem;
  font-size: 1.1rem;
  color: #FFFFFF;
  display: inline-block;
}
header .init-header .right-box .search,
header .init-header .right-box .menu-more {
  line-height: 1.8rem;
}
header .init-header .right-box .search {
  color: #FFFFFF;
  margin-right: 0.75rem;
}
header .menu-list {
  width: 100%;
  background: #07111b;
  border-top: 0.025rem solid #394149;
  border-bottom: 0.025rem solid #394149;
  padding: 1rem 0;
  margin-top: 0.5rem;
}
header .menu-list .list-item:nth-child(5) {
  margin-bottom: 0;
}
header .menu-list .list-item {
  width: 25%;
  height: 1.1rem;
  margin-bottom: 1.5rem;
  font-size: 0.7rem;
  line-height: 1.1rem;
  color: #FFFFFF;
  text-align: center;
}
header .user-box {
  width: 100%;
  height: 4.2rem;
}
header .user-box .user-detail-box {
  margin-top: 1.4rem;
}
header .user-box .user-detail-box img {
  width: 1.8rem;
  height: 1.8rem;
  margin: 0 0.65rem 0rem 1.25rem;
  border-radius: 50%;
}
header .user-box .user-detail-box .no-login {
  height: 1.8rem;
  color: #FFFFFF;
  line-height: 1.8rem;
  font-size: 0.7rem;
}
header .user-box .user-detail-box .text-box-login {
  height: 1.8rem;
}
header .user-box .user-detail-box .text-box-login .user-name {
  display: block;
  color: #FFFFFF;
  font-size: 0.8rem;
  line-height: 1rem;
}
header .user-box .user-detail-box .text-box-login p {
  color: #93999f;
  font-size: 0.45rem;
}
header .user-box .user-detail-box .text-box-login p span {
  margin-right: 1rem;
}
header .user-box .user-more {
  height: 4.2rem;
  line-height: 4.7rem;
  color: #6a7076;
}
footer {
  height: 7.5rem;
  background: #f3f5f7;
  text-align: center;
}
footer .footer-link {
  margin: 0 auto;
}
footer .footer-link a {
  position: relative;
  width: 4.4rem;
  height: 3.15rem;
  display: inline-block;
  font-size: 0.7rem;
  color: #71777D;
  line-height: 3.15rem;
}
footer .footer-link a em {
  content: '';
  display: block;
  position: absolute;
  left: 0;
  top: 1.15rem;
  height: 0.75rem;
  width: 0.05rem;
  background-color: #c3c7cb;
  zoom: 1;
}
footer p {
  font-size: 0.5rem;
  color: #B7BBBf;
}
.footer-tip {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 2.5rem;
  padding: 0.5rem;
  box-sizing: border-box;
  background: #FFFFFF;
  box-shadow: 0 -0.05rem 0.4rem #e2e2e2;
  -moz-box-shadow: 0 -0.05rem 0.4rem #e2e2e2;
  -webkit-box-shadow: 0 -0.05rem 0.4rem #e2e2e2;
  z-index: 4;
}
.footer-tip .imooc-icon {
  display: inline-block;
  width: 1.5rem;
  height: 1.5rem;
  background: url("/img/home/imooc-icon.png");
  background-size: cover;
}
.footer-tip .tip-text {
  display: inline-block;
  margin-left: 0.5rem;
  height: 1.5rem;
  font-size: 0.6rem;
  line-height: 1.5rem;
  color: #07111b;
}
.footer-tip .right-box .download-btn {
  width: 3.5rem;
  height: 1.5rem;
  margin-right: 1rem;
  background: #07111b;
  font-size: 0.6rem;
  line-height: 1.5rem;
  color: #FFFFFF;
}
.footer-tip .right-box .close-btn {
  margin-top: 0.3rem;
  font-size: 0.9rem;
  color: #FFFFFF;
  background: #999999;
  border-radius: 50%;
}
.share {
  width: 100%;
  position: fixed;
  bottom: 0;
  z-index: 10;
  background: #F3F5F7;
}
.share .share-list {
  width: 100%;
  padding: 1rem 0;
  text-align: center;
}
.share .share-list .share-item {
  width: 25%;
  padding: 1rem 0px;
}
.share .share-list .share-item img {
  width: 2rem;
  height: 2rem;
}
.share .share-list .share-item p {
  font-size: 0.6rem;
  color: #2B333B;
}
.share .cancel {
  width: 100%;
  height: 2.6rem;
  background: #FFFFFF;
  color: #2B333B;
  font-size: 0.9rem;
  line-height: 2.6rem;
  text-align: center;
}
main {
  margin-top: 2.8rem;
  background-color: #F3F5F7;
}
.slider {
  width: 100%;
  height: 5.75rem;
}
.slider img {
  height: 5.75rem;
  width: 100%;
}
.p_line {
  width: 17rem;
  height: 1rem;
  display: block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.img-module {
  background-size: 100% !important;
}
nav {
  height: 3.6rem;
  background: #F8FaFc;
  overflow: hidden;
  border-bottom: 1px solid #eaeef2;
}
nav .type-item {
  position: relative;
  width: 25%;
  box-sizing: border-box;
  overflow: hidden;
  text-align: center;
}
nav .type-item em {
  content: '';
  display: block;
  position: absolute;
  left: 0;
  top: 0.6rem;
  height: 2.5rem;
  width: 0.05rem;
  background-color: #eaeef2;
  zoom: 1;
}
nav .type-item p {
  margin-bottom: 0;
}
nav .type-item .type-title {
  margin-top: 0.1rem;
  font-size: 0.7rem;
  color: #2B333B;
  font-weight: 700;
}
nav .type-item .type-desc {
  margin-top: 0;
  margin-bottom: 0.35rem;
  font-size: 0.4rem;
  color: #B7BBBf;
}
nav .type-item img {
  width: 1.5rem;
}
.recomment-banner {
  margin-left: 0.5rem;
}
.recomment-banner h1 {
  height: 2.4rem;
  font-size: 0.7rem;
  color: #71777D;
  line-height: 2.4rem;
  font-weight: 100;
  background-color: #F3F5F7;
}
.recomment-banner h1 a {
  display: inline-block;
  margin-right: 0.5rem;
  color: #71777D;
  font-size: 0.6rem;
}
.recomment-banner .detail-wrap {
  width: 100%;
  overflow-x: scroll;
  overflow-y: hidden;
  height: 6.65rem;
}
.recomment-banner .content-wrap {
  width: 42.25rem;
}
.recomment-banner .content-wrap a {
  display: block;
  margin-right: 0.45rem;
}
.recomment-banner .content-wrap a:nth-child(5) {
  margin-right: 0;
}
.recomment-banner .content-box a {
  float: left;
  display: block;
  margin-left: 0.5rem;
}
.recomment-banner .content-box a:nth-child(1),
.recomment-banner .content-box a:nth-child(2) {
  margin-bottom: 0.5rem;
}
.recomment-banner .content-box a:nth-child(2),
.recomment-banner .content-box a:nth-child(4) {
  float: right;
  margin-left: 0;
  margin-right: 1rem;
}
.recomment-banner .content-wrap .course-item,
.recomment-banner .content-box .course-item {
  position: relative;
  width: 8rem;
  height: 6.5rem;
  box-shadow: 0 0.1rem 0.2rem #ebedef;
  -moz-box-shadow: 0 0.1rem 0.2rem #ebedef;
  -webkit-box-shadow: 0 0.1rem 0.2rem #ebedef;
  background: #FFFFFF;
}
.recomment-banner .content-wrap .course-item img,
.recomment-banner .content-box .course-item img {
  width: 8rem;
  height: 4.5rem;
  z-index: 1;
  border-top-right-radius: 0.1rem;
  border-top-left-radius: 0.1rem;
}
.recomment-banner .content-wrap .course-item .desc-box,
.recomment-banner .content-box .course-item .desc-box {
  width: 100%;
  position: absolute;
  bottom: 0;
  background-color: #fff;
  z-index: 2;
}
.recomment-banner .content-wrap .course-item .desc-box h2,
.recomment-banner .content-box .course-item .desc-box h2 {
  width: 100%;
  padding: 0.8rem 0.5rem 0rem;
  box-sizing: border-box;
  background: url('/img/home/gradient-bg.png');
  font-size: 0.6rem;
  color: #2B333B;
  font-weight: bold;
}
.recomment-banner .content-wrap .course-item .desc-box .h2,
.recomment-banner .content-box .course-item .desc-box .h2 {
  width: 100%;
  padding: 0.8rem 0.5rem 0rem;
  box-sizing: border-box;
  background: url('/img/home/gradient-bg.png');
  font-size: 0.6rem;
  color: #2B333B;
  font-weight: bold;
  height: 1.6rem;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
  white-space: nowrap;
}
.recomment-banner .content-wrap .course-item .desc-box .detail,
.recomment-banner .content-box .course-item .desc-box .detail {
  height: 1.55rem;
  padding: 0rem 0.5rem;
  background: #FFFFFF;
  font-size: 0.5rem;
  line-height: 1.55rem;
  color: #B7BBBf;
  border-bottom-right-radius: 0.1rem;
  border-bottom-left-radius: 0.1rem;
}
.recomment-banner .content-wrap .course-item .desc-box .detail .price,
.recomment-banner .content-box .course-item .desc-box .detail .price {
  color: #EF1300;
}
.recomment-banner .content-wrap .course-item .desc-box .detail i,
.recomment-banner .content-box .course-item .desc-box .detail i {
  font-style: normal;
}
.placehold-box {
  width: 100%;
  height: 1rem;
}
.text-module {
  width: 100%;
  height: 13.25rem;
  background: #FFFFFF;
}
.text-module h1 {
  width: 100%;
  height: 3.7rem;
  padding: 0 0.5rem;
  box-sizing: border-box;
  font-size: 0.7rem;
  line-height: 3.7rem;
  color: #71777D;
  font-weight: 100;
}
.text-module h1 a {
  display: inline-block;
  margin-right: 0.5rem;
  color: #71777D;
  font-size: 0.6rem;
}
.text-module ul {
  margin-left: 0.85rem;
}
.text-module ul li {
  width: 100%;
  height: 0.95rem;
  font-size: 0.7rem;
  line-height: 0.95rem;
  color: #2B333B;
  margin-bottom: 1.3rem;
}
.img-module {
  width: 100%;
  height: 5rem;
  background: url("/img/home/img-module-bg.png");
  text-align: center;
}
.img-module .text-content p {
  font-size: 0.9rem;
  color: #FFFFFF;
  line-height: 5rem;
}
